<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [waitForFileChooser](./puppeteer.page.waitforfilechooser.md)

## Page.waitForFileChooser() method

<b>Signature:</b>

```typescript
waitForFileChooser(options?: WaitTimeoutOptions): Promise<FileChooser>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [WaitTimeoutOptions](./puppeteer.waittimeoutoptions.md) | Optional waiting parameters |

<b>Returns:</b>

Promise&lt;[FileChooser](./puppeteer.filechooser.md)<!-- -->&gt;

Resolves after a page requests a file picker.

